/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJMessageDriven.java 4510 2009-02-03 16:19:39Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.struct;

import java.util.List;

import javax.ejb.ActivationConfigProperty;

/**
 * IJMessageDriven.
 * @author Gael Lalire
 */
public interface IJMessageDriven extends IJCommonBean {

    /**
     * Adds an activation config property.
     * @param activationConfigProperty object to add in the list
     */
    void addActivationConfigProperty(final ActivationConfigProperty activationConfigProperty);

    /**
     * Gets the activation config properties.
     * @return the list of activation config properties
     */
    List<ActivationConfigProperty> getActivationConfigProperties();

    /**
     * @return message listener interface.
     */
    String getMessageListenerInterface();

    /**
     * Sets the message listener interface.
     * @param messageListenerInterface the given interface.
     */
    void setMessageListenerInterface(final String messageListenerInterface);

    /**
     * Set the message destination link.
     * @param messageDestinationLink message destination link.
     */
    void setMessageDestinationLink(final String messageDestinationLink);

    /**
     * Gets the message destination link.
     * @return the message destination link
     */
    String getMessageDestinationLink();

}
